{ lib, ... }:

with lib;

let
  machinePath = (builtins.toPath ( ./machines + ("/" + (fileContents /secret/hostName))));
  machineConf = machinePath + "/configuration.nix";
  machineOpts = machinePath + "/options.nix";
in {
  imports = [
    machineConf
    machineOpts
    ./config/default.nix
    ./pkgs/nixpkgs.nix
    ./pkgs/pkgsets.nix
    ./services/containers.nix
    ./services/default.nix
  ];
}
